Bug 129300 - Installer hangs when mkinitrd tries to build initrd-xxx.img file
Installer hangs when mkinitrd tries to build initrd-xxx.img file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://download.fedora.redhat.com/pub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-05 20:46 EDT by Ferdinand Badescu
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ferdinand Badescu 2004-08-05 20:46:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
I am using up2date for system updates, which in turn uses yum as
updating tool. I am running Fedora Core 2 on an Athlon Thunderbird
1GHz machine.

yum downloaded the file (kernel-2.6.7-1.494.2.2) OK, and started the
next step: installation. However, the intallation of the new kernel
did not finish due to a missing module that mkinitrd reported it
cannot find. The module is via82cxxx. Here's the error message, copied
from the stdout:

" No module via82cxxx found for kernel 2.6.7-1.494.2.2, aborting
  mkinitrd failed
  / 
  [root@bloemberger Other]#"

I have successfully built the initr-xxx.img file manually, by using
the "--builtin=via82cxxx" option.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1.use up2date to upgrade the kernel, or
2.use "yum update kernel" at a console, or
3.download the file from the provided URL, and use "rpm -ivh
kernel-2.6.7-1.494.2.2" at a console.

    

Actual Results:  The installer installed the kernel package, but stops
at the initial RAMdisk file creation (mkinitrd fails).

Expected Results:  a) mkinitrd should complete the process
b) the installer should update the file grub.conf with the information
about the new kernel.

Additional info:

Error message:

" No module via82cxxx found for kernel 2.6.7-1.494.2.2, aborting
  mkinitrd failed
  / 
  [root@bloemberger Other]#"

System: running Fedora Core 2, kernel 2.6.7-1.494.2.2 on an Athlon
1GHz Thunderbird, 512 MB RAM, all-SCSI system (no IDE drives). SCSI
controller: Tekram DC-390U3 (Ultra 160), Maxtor Atlas 10kIII - 36GB.
Comment 1 Dave Jones 2005-04-16 01:51:42 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.